import { BucketDeployment } from 'aws-cdk-lib/aws-s3-deployment';
import { Construct } from 'constructs';
import { CfnIncludeProps } from 'aws-cdk-lib/cloudformation-include';
import { CategoryStackMapping } from './types/category-stack-mapping';
import { ExportManifest } from './types/export-manifest';
import { ExportTag } from './types/export-tags';
/**
 * Contains all the utility functions
 * @internal
 */
export declare class BaseAmplifyExportedBackend extends Construct {
    protected categoryStackMappings: CategoryStackMapping[];
    protected exportPath: string;
    protected exportBackendManifest: ExportManifest;
    protected exportTags: ExportTag[];
    protected auxiliaryDeployment?: BucketDeployment;
    protected env?: string;
    constructor(scope: Construct, id: string, exportPath: string, amplifyEnvironment: string);
    private validatePath;
    protected transformTemplateFile(cfnIncludeProps: CfnIncludeProps, exportPath: string): CfnIncludeProps;
    protected findResourceForNestedStack(category: string, service: string, resourceName?: string): CategoryStackMapping;
    protected filterCategory(category: string, service?: string, resourceName?: string): CategoryStackMapping[];
    protected getExportedDataFromFile<T>(fileName: string): T;
    private modifyEnv;
    private updatePropsToIncludeEnv;
}
