import { CfnApiKey, CfnGraphQLSchema, CfnGraphQLApi } from 'aws-cdk-lib/aws-appsync';
import { IncludedNestedStack } from 'aws-cdk-lib/cloudformation-include';
import { BaseIncludedStack } from '../base-included-stack';
export declare class APIGraphQLIncludedNestedStack extends BaseIncludedStack {
    /**
     * @returns Appsync Api Key {CfnApiKey} of the auth stack
     * @throws {CfnResourceNotFoundError} if not found
     */
    appSyncAPIKey(): CfnApiKey;
    /**
     * @returns {CfnGraphQLSchema} of the api stack
     * @throws {CfnResourceNotFoundError} if not found
     */
    graphQLSchema(): CfnGraphQLSchema;
    /**
     * @returns {CfnApiKey} of the api stack
     * @throws {CfnResourceNotFoundError} if not found
     */
    graphQLAPI(): CfnGraphQLApi;
    /**
     * @returns {IncludedNestedStack} return nested stack
     * @param tableName is the model name in your Graph QL API
     */
    modelNestedStack(tableName: string): IncludedNestedStack;
}
