import { CfnDeployment, CfnRestApi } from 'aws-cdk-lib/aws-apigateway';
import { IncludedNestedStack } from 'aws-cdk-lib/cloudformation-include';
import { BaseIncludedStack } from '../base-included-stack';
export declare class APIRestIncludedStack extends BaseIncludedStack {
    resourceName: string;
    constructor(includedStack: IncludedNestedStack, resourceName: string);
    /**
     * Gets the RestApi of the API stack
     * @returns {CfnRestApi}
     */
    restAPI(): CfnRestApi;
    /**
       * Gets the Deployment of the Rest API
       * @returns {CfnDeployment}
       */
    apiDeployment(): CfnDeployment;
}
