import { CfnUserPool, CfnIdentityPool } from 'aws-cdk-lib/aws-cognito';
import { BaseIncludedStack } from '../base-included-stack';
export interface ProviderCredential {
    readonly providerName: 'Facebook' | 'Google' | 'LoginWithAmazon';
    readonly clientId: string;
    readonly clientSecret: string;
}
export declare class AuthIncludedNestedStack extends BaseIncludedStack {
    hostedUiProviderCredentials(credentials: ProviderCredential[]): void;
    /**
     * @returns {CfnIdentityPool} of the auth stack
     */
    userPool(): CfnUserPool;
    /**
     * @returns Cognito UserPool {CfnUserPool} of the auth stack
     * @throws {}
     */
    identityPool(): CfnIdentityPool;
}
